Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.rgg.model
Class PropertyCompiletime.GraphProperty

    java.lang.Object
      de.grogra.xl.impl.property.CompiletimeModel.PropertyImpl
          de.grogra.rgg.model.PropertyCompiletime.GraphProperty

All Implemented Interfaces:
  CompiletimeModel.Property

Enclosing class:
  PropertyCompiletime

    public class PropertyCompiletime.GraphProperty

extends CompiletimeModel.PropertyImpl

Method Summary
`protected CompiletimeModel.PropertyImpl` | `getComponentProperty(java.lang.String id)`
`Type` | `getDeclaringType()`
`Type<? extends RuntimeModel.Property>` | `getRuntimeType()`
`protected CompiletimeModel.PropertyImpl` | `getSubProperty(java.lang.String name, java.lang.String id)`
`protected CompiletimeModel.PropertyImpl` | `getTypeCastProperty(Type<?> type, java.lang.String id)`

Methods inherited from class de.grogra.xl.impl.property.CompiletimeModel.PropertyImpl
`getComponentProperty, getModel, getRuntimeName, getSubProperty, getType, getTypeCastProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getComponentProperty

    protected CompiletimeModel.PropertyImpl getComponentProperty(java.lang.String id)

  Specified by:
    `getComponentProperty` in class `CompiletimeModel.PropertyImpl`

### getDeclaringType

    public Type getDeclaringType()

### getRuntimeType

    public Type<? extends RuntimeModel.Property> getRuntimeType()

### getSubProperty

    protected CompiletimeModel.PropertyImpl getSubProperty(java.lang.String name,
                                                           java.lang.String id)

  Specified by:
    `getSubProperty` in class `CompiletimeModel.PropertyImpl`

### getTypeCastProperty

    protected CompiletimeModel.PropertyImpl getTypeCastProperty(Type<?> type,
                                                                java.lang.String id)

  Specified by:
    `getTypeCastProperty` in class `CompiletimeModel.PropertyImpl`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD